# Get Rankings Distribution By Time

```http
POST https://api.synup.com/api/v4/locations/ranking-sitewise-histogram
```

This API provides the weekly distribution of keyword rankings across four predefined rank buckets (1-3, 3-10, 10-20, 20-50) for each site. It returns the number of keywords falling within each rank range on specific dates for these sites. This helps track keyword performance trends over a time period.

Source: https://developer.synup.com/api/rankings/get-rankings-distribution-by-time

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `fromDate` | string | required | Date from where data has to be fetched |
| `toDate` | string | required | Date till where data has to be fetched |
| `locationIds` | array of string | required | IDs to fetch data |
| `source` | array of string | required | List of sources |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/ranking-sitewise-histogram' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `400` | Bad Request |
| `401` | Unauthorized |
